Please take our Survey
logo       

Choosing A Webhost:
A web hosting service is a type of Internet hosting service that allows individuals and organizations to provide their own website accessible via the World Wide Web. Web hosts are companies that provide space on a server they own for use by their clients as well as providing Internet connectivity, typically in a data center. Web hosts can also provide data center space and connectivity to the Internet for servers they do not own to be located in their data center, called colocation. more...

CVS update of carob (carob.ebuild): msg#00000

db.carob.cvs

Subject: CVS update of carob (carob.ebuild)

Date: Friday, November 17, 2006 @ 15:10:38
Author: csaba
Path: /cvsroot/carob/carob

Added: carob.ebuild (1.1)

Adding the Gentoo ebuild.


--------------+
carob.ebuild | 42 ++++++++++++++++++++++++++++++++++++++++++
1 files changed, 42 insertions(+)


Index: carob/carob.ebuild
diff -u /dev/null carob/carob.ebuild:1.1
--- /dev/null Fri Nov 17 15:10:38 2006
+++ carob/carob.ebuild Fri Nov 17 15:10:38 2006
@@ -0,0 +1,42 @@
+# Copyright 2006 Continuent, Inc.
+# Distributed under the terms of the Apache License, Version 2.0
+# $Header: /cvsroot/carob/carob/carob.ebuild,v 1.1 2006/11/17 14:10:38 csaba
Exp $
+
+inherit eutils
+
+MY_P=${PN}-r${PV//./_}
+
+DESCRIPTION="Bringing Sequoia technology to the C/C++ world."
+HOMEPAGE="http://carob.continuent.org";
+SRC_URI="http://carob.continuent.org/repo/src/${MY_P}.tar.gz";
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="amd64 x86"
+IUSE=""
+
+DEPEND="dev-libs/gmp"
+
+S=${WORKDIR}/${MY_P}
+
+src_unpack() {
+ unpack ${A}
+ cd ${S}
+}
+
+src_compile() {
+ emake || die
+}
+
+src_install() {
+ dolib.a *.a || die
+ dolib.so *.so* || die
+
+ insinto /usr/include/${PN}
+ doins include/*.hpp || die
+
+ dodoc README doc/RELNOTES
+
+ dohtml -r doxygen/html/*
+}
+


<Prev in Thread] Current Thread [Next in Thread>
Google Custom Search

Free Magazines

Cisco News
Receive a free quarterly e-newsletter with exclusive articles on how Cisco IT uses its own products and solutions to enable the business.
subscribe

Systems Management News, the newspaper for IT systems administration and data center managers! Each issue of Systems Management News is chock-full of news and analysis to help you understand what's happening in your field.
subscribe

The Enterprise Newsweekly eWeek is the essential technology information source for builders of e-business.
subscribe

Oracle Magazine Oracle Magazine contains technology strategy articles, sample code, tips, Oracle and partner news, how to articles for developers and DBAs, and more. Oracle (NASDAQ: ORCL) is the world's largest enterprise software company.
subscribe

Total Telecom Total Telecom is "The Economist of the communications industry".
subscribe

Navigation

Home | advertise | OSDir is an inevitable website. super tiny logo